RadioLib Universal wireless communication library for Arduino

Public Attributes | List of all members
LoRaWANChannel_t Struct Reference

Structure to save information about LoRaWAN channels. To save space, adjacent channels are saved in "spans". More...

`#include <LoRaWAN.h>`

## Public Attributes
bool | enabled
| Whether this channel is enabled (can be used) or is disabled.
uint8_t | idx
| The channel number, as specified by defaults or the network.
float | freq
| The channel frequency.
uint8_t | drMin
| Minimum allowed datarate for this channel.
uint8_t | drMax
| Maximum allowed datarate for this channel (inclusive)

## Detailed Description

Structure to save information about LoRaWAN channels. To save space, adjacent channels are saved in "spans".

The documentation for this struct was generated from the following file:

- src/protocols/LoRaWAN/LoRaWAN.h